#ifndef DATA_GEAR_H
#define DATA_GEAR_H

#include "common.h"


typedef enum
{
    DIS_DATA_GEAR_Non = 0,
    DIS_DATA_GEAR_1,
    DIS_DATA_GEAR_2,
    DIS_DATA_GEAR_3,
    DIS_DATA_GEAR_4,
    DIS_DATA_GEAR_5,
    DIS_DATA_GEAR_6,
    DIS_DATA_GEAR_7,
    DIS_DATA_GEAR_8,
    DIS_DATA_GEAR_N,
	  DIS_DATA_GEAR_D,
    DIS_DATA_GEAR_UNKNOW,

} DATA_GEAR_VALUE;
typedef struct
{
    uint8_t DATA_GEAR_Non;
    uint16_t DATA_GEAR_ADResult[10];
//		uint16_t DATA_GEAR_ValueMax;
//		uint16_t DATA_GEAR_ValueMin;
//		uint16_t DATA_GEAR_ValueAverage;
} _DATA_GEAR_AD_VALUE;
void Data_Gear_KL30_Init(void);
void Data_Gear_KL15_Init(void);
void Data_Service_Gear_Processing(void);
uint8_t Get_Gear_Mode_Number(void);


#endif

